function Get-CentralOnPremDatabaseName {
    [CmdletBinding()]
    param (
        [Parameter(Mandatory = $false)][string]$DatabaseName,
        [Parameter(Mandatory = $false)][bool]$ConfirmAll = $false
    )

    # Allow user to use existing value or to update it.
    if ((Confirm-SingleValue -Description 'LS Central SQL database name' -Value $DatabaseName -ConfirmAll $ConfirmAll) -eq $true) { return $DatabaseName }

    Write-Host # Newline.
    Write-Host 'Please provide the database name for the LS Central SQL database.'
    return Read-Host -Prompt 'Database name'
}